# Type alias Implementation

Implementation: {
fileSystem: {
hooks: {
afterLoadExisting: ((fs: API, account: AssociatedIdentity, dataComponents: DataComponents) => Promise<void>);
afterLoadNew: ((fs: API, account: AssociatedIdentity, dataComponents: DataComponents) => Promise<void>);
beforeLoadExisting: ((cid: CID, account: AssociatedIdentity, dataComponents: DataComponents) => Promise<void>);
beforeLoadNew: ((account: AssociatedIdentity, dataComponents: DataComponents) => Promise<void>);
};
};
log: ((...args: unknown[]) => void);
warn: ((...args: unknown[]) => void);
wnfsWasmLookup: ((wnfsVersion: string) => Promise<BufferSource | Response>);
}

#### Type declaration

- ##### fileSystem: {
  hooks: {
  afterLoadExisting: ((fs: API, account: AssociatedIdentity, dataComponents: DataComponents) => Promise<void>);
  afterLoadNew: ((fs: API, account: AssociatedIdentity, dataComponents: DataComponents) => Promise<void>);
  beforeLoadExisting: ((cid: CID, account: AssociatedIdentity, dataComponents: DataComponents) => Promise<void>);
  beforeLoadNew: ((account: AssociatedIdentity, dataComponents: DataComponents) => Promise<void>);
  };
  }

  File system.

  - ##### hooks: {
    afterLoadExisting: ((fs: API, account: AssociatedIdentity, dataComponents: DataComponents) => Promise<void>);
    afterLoadNew: ((fs: API, account: AssociatedIdentity, dataComponents: DataComponents) => Promise<void>);
    beforeLoadExisting: ((cid: CID, account: AssociatedIdentity, dataComponents: DataComponents) => Promise<void>);
    beforeLoadNew: ((account: AssociatedIdentity, dataComponents: DataComponents) => Promise<void>);
    }

    Various file system hooks.

    - ##### afterLoadExisting: ((fs: API, account: AssociatedIdentity, dataComponents: DataComponents) => Promise<void>)

      - - (fs: API, account: AssociatedIdentity, dataComponents: DataComponents): Promise<void>

        - #### Parameters

          - ##### fs: API

          - ##### account: AssociatedIdentity

          - ##### dataComponents: DataComponents

          #### Returns Promise<void>

    - ##### afterLoadNew: ((fs: API, account: AssociatedIdentity, dataComponents: DataComponents) => Promise<void>)

      - - (fs: API, account: AssociatedIdentity, dataComponents: DataComponents): Promise<void>

        - #### Parameters

          - ##### fs: API

          - ##### account: AssociatedIdentity

          - ##### dataComponents: DataComponents

          #### Returns Promise<void>

    - ##### beforeLoadExisting: ((cid: CID, account: AssociatedIdentity, dataComponents: DataComponents) => Promise<void>)

      - - (cid: CID, account: AssociatedIdentity, dataComponents: DataComponents): Promise<void>

        - #### Parameters

          - ##### cid: CID

          - ##### account: AssociatedIdentity

          - ##### dataComponents: DataComponents

          #### Returns Promise<void>

    - ##### beforeLoadNew: ((account: AssociatedIdentity, dataComponents: DataComponents) => Promise<void>)

      - - (account: AssociatedIdentity, dataComponents: DataComponents): Promise<void>

        - #### Parameters

          - ##### account: AssociatedIdentity

          - ##### dataComponents: DataComponents

          #### Returns Promise<void>

- ##### log: ((...args: unknown[]) => void)

  - - (...args: unknown[]): void

    - #### Parameters

      - ##### `Rest` ...args: unknown[]

      #### Returns void

- ##### warn: ((...args: unknown[]) => void)

  - - (...args: unknown[]): void

    - #### Parameters

      - ##### `Rest` ...args: unknown[]

      #### Returns void

- ##### wnfsWasmLookup: ((wnfsVersion: string) => Promise<BufferSource | Response>)

  - - (wnfsVersion: string): Promise<BufferSource | Response>

    - Configure how the wnfs wasm module should be loaded.

      This only has an effect if you're using file systems of version 3 or higher.

      By default this loads the required version of the wasm wnfs module from unpkg.com.

      #### Parameters

      - ##### wnfsVersion: string

      #### Returns Promise<BufferSource | Response>

- Defined in components/manners/implementation.ts:26

Generated using TypeDoc